
_PrepareResponseData:

;PIC16F_I2C_SlaveFunctions_170602.c,71 :: 		unsigned char PrepareResponseData(unsigned char input)
;PIC16F_I2C_SlaveFunctions_170602.c,73 :: 		unsigned char result = 0;
	CLRF       PrepareResponseData_result_L0+0
;PIC16F_I2C_SlaveFunctions_170602.c,76 :: 		receivedMessageCount =  input >> _MSG_COUNT_SHIFT_NR_POS;
	MOVLW      7
	MOVWF      R0
	MOVF       FARG_PrepareResponseData_input+0, 0
	MOVWF      R4+0
	MOVF       R0, 0
L__PrepareResponseData56:
	BTFSC      STATUS+0, 2
	GOTO       L__PrepareResponseData57
	LSRF       R4+0, 1
	ADDLW      255
	GOTO       L__PrepareResponseData56
L__PrepareResponseData57:
;PIC16F_I2C_SlaveFunctions_170602.c,77 :: 		if (cI2CCurrentRegisterNumber>=0 && cI2CCurrentRegisterNumber<_I2C_MAX_REGISTERS_COUNT)
	MOVLW      0
	SUBWF      _cI2CCurrentRegisterNumber+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_PrepareResponseData2
	MOVLW      32
	SUBWF      _cI2CCurrentRegisterNumber+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_PrepareResponseData2
L__PrepareResponseData46:
;PIC16F_I2C_SlaveFunctions_170602.c,79 :: 		tempVariable = ucI2CRegisters[cI2CCurrentRegisterNumber];
	MOVLW      _ucI2CRegisters+0
	MOVWF      FSR0L
	MOVLW      hi_addr(_ucI2CRegisters+0)
	MOVWF      FSR0H
	MOVF       _cI2CCurrentRegisterNumber+0, 0
	ADDWF      FSR0L, 1
	BTFSC      STATUS+0, 0
	INCF       FSR0H, 1
	MOVF       INDF0+0, 0
	MOVWF      R3
;PIC16F_I2C_SlaveFunctions_170602.c,80 :: 		tempVariable = tempVariable>>(receivedMessageCount*4);
	MOVF       R4+0, 0
	MOVWF      R0
	CLRF       R1
	LSLF       R0, 1
	RLF        R1, 1
	LSLF       R0, 1
	RLF        R1, 1
	MOVF       R3, 0
	MOVWF      PrepareResponseData_result_L0+0
	MOVF       R0, 0
L__PrepareResponseData58:
	BTFSC      STATUS+0, 2
	GOTO       L__PrepareResponseData59
	LSRF       PrepareResponseData_result_L0+0, 1
	ADDLW      255
	GOTO       L__PrepareResponseData58
L__PrepareResponseData59:
;PIC16F_I2C_SlaveFunctions_170602.c,81 :: 		tempVariable = tempVariable&_MESSAGE_MASK;
	MOVLW      15
	ANDWF      PrepareResponseData_result_L0+0, 1
;PIC16F_I2C_SlaveFunctions_170602.c,82 :: 		tempVariable = tempVariable | (receivedMessageCount<<_MSG_COUNT_SHIFT_NR_POS);
	MOVLW      7
	MOVWF      R1
	MOVF       R4+0, 0
	MOVWF      R0
	MOVF       R1, 0
L__PrepareResponseData60:
	BTFSC      STATUS+0, 2
	GOTO       L__PrepareResponseData61
	LSLF       R0, 1
	ADDLW      255
	GOTO       L__PrepareResponseData60
L__PrepareResponseData61:
	MOVF       R0, 0
	IORWF       PrepareResponseData_result_L0+0, 1
;PIC16F_I2C_SlaveFunctions_170602.c,83 :: 		result = tempVariable;
;PIC16F_I2C_SlaveFunctions_170602.c,84 :: 		}
L_PrepareResponseData2:
;PIC16F_I2C_SlaveFunctions_170602.c,85 :: 		return result;
	MOVF       PrepareResponseData_result_L0+0, 0
	MOVWF      R0
;PIC16F_I2C_SlaveFunctions_170602.c,86 :: 		}
L_end_PrepareResponseData:
	RETURN
; end of _PrepareResponseData

_ParseI2CHeader:

;PIC16F_I2C_SlaveFunctions_170602.c,97 :: 		char ParseI2CHeader(unsigned char input)
;PIC16F_I2C_SlaveFunctions_170602.c,99 :: 		char result = -1; // Set result as invalid header
	MOVLW      255
	MOVWF      ParseI2CHeader_result_L0+0
;PIC16F_I2C_SlaveFunctions_170602.c,100 :: 		if (input & _HEADER_BIT)
	BTFSS      FARG_ParseI2CHeader_input+0, 6
	GOTO       L_ParseI2CHeader3
;PIC16F_I2C_SlaveFunctions_170602.c,102 :: 		cI2CCurrentRegisterNumber = input&_SLAVE_MCU_REGISTER_MASK; // Set current register where the operation will be performed
	MOVLW      31
	ANDWF      FARG_ParseI2CHeader_input+0, 0
	MOVWF      _cI2CCurrentRegisterNumber+0
;PIC16F_I2C_SlaveFunctions_170602.c,103 :: 		cI2CR_W_Operation = input&_HEADER_READ_REQUESTED; // Set logical read/write
	MOVLW      32
	ANDWF      FARG_ParseI2CHeader_input+0, 0
	MOVWF      R0
	MOVF       R0, 0
	MOVWF      _cI2CR_W_Operation+0
;PIC16F_I2C_SlaveFunctions_170602.c,104 :: 		if (input&_HEADER_READ_REQUESTED) //If logical read was requested
	MOVF       R0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_ParseI2CHeader4
;PIC16F_I2C_SlaveFunctions_170602.c,106 :: 		cI2CData = PrepareResponseData(input);
	MOVF       FARG_ParseI2CHeader_input+0, 0
	MOVWF      FARG_PrepareResponseData_input+0
	CALL       _PrepareResponseData+0
	MOVF       R0, 0
	MOVWF      _cI2CData+0
;PIC16F_I2C_SlaveFunctions_170602.c,107 :: 		result = 1;
	MOVLW      1
	MOVWF      ParseI2CHeader_result_L0+0
;PIC16F_I2C_SlaveFunctions_170602.c,108 :: 		}
	GOTO       L_ParseI2CHeader5
L_ParseI2CHeader4:
;PIC16F_I2C_SlaveFunctions_170602.c,111 :: 		if (cI2CCurrentRegisterNumber>=0 && cI2CCurrentRegisterNumber<_I2C_MAX_REGISTERS_COUNT)
	MOVLW      0
	SUBWF      _cI2CCurrentRegisterNumber+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_ParseI2CHeader8
	MOVLW      32
	SUBWF      _cI2CCurrentRegisterNumber+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_ParseI2CHeader8
L__ParseI2CHeader47:
;PIC16F_I2C_SlaveFunctions_170602.c,113 :: 		ucI2CCurrentStatus = _I2C_STATUS_STARTED;
	MOVLW      __I2C_STATUS_STARTED
	MOVWF      _ucI2CCurrentStatus+0
;PIC16F_I2C_SlaveFunctions_170602.c,114 :: 		ucI2CRegistersStatus[cI2CCurrentRegisterNumber] = _I2C_STATUS_STARTED;
	MOVLW      _ucI2CRegistersStatus+0
	MOVWF      FSR1L
	MOVLW      hi_addr(_ucI2CRegistersStatus+0)
	MOVWF      FSR1H
	MOVF       _cI2CCurrentRegisterNumber+0, 0
	ADDWF      FSR1L, 1
	BTFSC      STATUS+0, 0
	INCF       FSR1H, 1
	MOVLW      __I2C_STATUS_STARTED
	MOVWF      INDF1+0
;PIC16F_I2C_SlaveFunctions_170602.c,115 :: 		ucI2CRegisters[cI2CCurrentRegisterNumber] = 0;
	MOVLW      _ucI2CRegisters+0
	MOVWF      FSR1L
	MOVLW      hi_addr(_ucI2CRegisters+0)
	MOVWF      FSR1H
	MOVF       _cI2CCurrentRegisterNumber+0, 0
	ADDWF      FSR1L, 1
	BTFSC      STATUS+0, 0
	INCF       FSR1H, 1
	CLRF       INDF1+0
;PIC16F_I2C_SlaveFunctions_170602.c,116 :: 		cI2CTotalMsgCount = input>>_MSG_COUNT_SHIFT_NR_POS;
	MOVLW      7
	MOVWF      R0
	MOVF       FARG_ParseI2CHeader_input+0, 0
	MOVWF      _cI2CTotalMsgCount+0
	MOVF       R0, 0
L__ParseI2CHeader63:
	BTFSC      STATUS+0, 2
	GOTO       L__ParseI2CHeader64
	LSRF       _cI2CTotalMsgCount+0, 1
	ADDLW      255
	GOTO       L__ParseI2CHeader63
L__ParseI2CHeader64:
;PIC16F_I2C_SlaveFunctions_170602.c,117 :: 		result = 1;
	MOVLW      1
	MOVWF      ParseI2CHeader_result_L0+0
;PIC16F_I2C_SlaveFunctions_170602.c,118 :: 		}
L_ParseI2CHeader8:
;PIC16F_I2C_SlaveFunctions_170602.c,119 :: 		}
L_ParseI2CHeader5:
;PIC16F_I2C_SlaveFunctions_170602.c,120 :: 		}
L_ParseI2CHeader3:
;PIC16F_I2C_SlaveFunctions_170602.c,121 :: 		return result;
	MOVF       ParseI2CHeader_result_L0+0, 0
	MOVWF      R0
;PIC16F_I2C_SlaveFunctions_170602.c,122 :: 		}
L_end_ParseI2CHeader:
	RETURN
; end of _ParseI2CHeader

_ParseI2CData:

;PIC16F_I2C_SlaveFunctions_170602.c,132 :: 		char ParseI2CData(unsigned char input)
;PIC16F_I2C_SlaveFunctions_170602.c,134 :: 		char result = -1; // Set result as invalid data
	MOVLW      255
	MOVWF      ParseI2CData_result_L0+0
;PIC16F_I2C_SlaveFunctions_170602.c,137 :: 		if (input & _HEADER_BIT)
	BTFSS      FARG_ParseI2CData_input+0, 6
	GOTO       L_ParseI2CData9
;PIC16F_I2C_SlaveFunctions_170602.c,139 :: 		ucI2CCurrentStatus = _I2C_STATUS_ERROR;
	MOVLW      __I2C_STATUS_ERROR
	MOVWF      _ucI2CCurrentStatus+0
;PIC16F_I2C_SlaveFunctions_170602.c,140 :: 		}
	GOTO       L_ParseI2CData10
L_ParseI2CData9:
;PIC16F_I2C_SlaveFunctions_170602.c,143 :: 		if (cI2CCurrentRegisterNumber>=0 && cI2CCurrentRegisterNumber<_I2C_MAX_REGISTERS_COUNT)
	MOVLW      0
	SUBWF      _cI2CCurrentRegisterNumber+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_ParseI2CData13
	MOVLW      32
	SUBWF      _cI2CCurrentRegisterNumber+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_ParseI2CData13
L__ParseI2CData49:
;PIC16F_I2C_SlaveFunctions_170602.c,145 :: 		mask = input & _MESSAGE_MASK;
	MOVLW      15
	ANDWF      FARG_ParseI2CData_input+0, 0
	MOVWF      R3+0
;PIC16F_I2C_SlaveFunctions_170602.c,146 :: 		receivedMessageCount =  input >> _MSG_COUNT_SHIFT_NR_POS;
	MOVLW      7
	MOVWF      R0
	MOVF       FARG_ParseI2CData_input+0, 0
	MOVWF      R1
	MOVF       R0, 0
L__ParseI2CData66:
	BTFSC      STATUS+0, 2
	GOTO       L__ParseI2CData67
	LSRF       R1, 1
	ADDLW      255
	GOTO       L__ParseI2CData66
L__ParseI2CData67:
;PIC16F_I2C_SlaveFunctions_170602.c,147 :: 		cI2CCurrentMsgCount+=1;
	INCF       _cI2CCurrentMsgCount+0, 1
;PIC16F_I2C_SlaveFunctions_170602.c,148 :: 		if (receivedMessageCount!=cI2CCurrentMsgCount || cI2CCurrentMsgCount > cI2CTotalMsgCount)
	MOVF       R1, 0
	XORWF      _cI2CCurrentMsgCount+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__ParseI2CData48
	MOVF       _cI2CCurrentMsgCount+0, 0
	SUBWF      _cI2CTotalMsgCount+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L__ParseI2CData48
	GOTO       L_ParseI2CData16
L__ParseI2CData48:
;PIC16F_I2C_SlaveFunctions_170602.c,150 :: 		ucI2CCurrentStatus = _I2C_STATUS_ERROR;
	MOVLW      __I2C_STATUS_ERROR
	MOVWF      _ucI2CCurrentStatus+0
;PIC16F_I2C_SlaveFunctions_170602.c,151 :: 		ucI2CRegistersStatus[cI2CCurrentRegisterNumber] = _I2C_STATUS_ERROR;
	MOVLW      _ucI2CRegistersStatus+0
	MOVWF      FSR1L
	MOVLW      hi_addr(_ucI2CRegistersStatus+0)
	MOVWF      FSR1H
	MOVF       _cI2CCurrentRegisterNumber+0, 0
	ADDWF      FSR1L, 1
	BTFSC      STATUS+0, 0
	INCF       FSR1H, 1
	MOVLW      __I2C_STATUS_ERROR
	MOVWF      INDF1+0
;PIC16F_I2C_SlaveFunctions_170602.c,152 :: 		ucI2CRegisters[cI2CCurrentRegisterNumber] = 0;
	MOVLW      _ucI2CRegisters+0
	MOVWF      FSR1L
	MOVLW      hi_addr(_ucI2CRegisters+0)
	MOVWF      FSR1H
	MOVF       _cI2CCurrentRegisterNumber+0, 0
	ADDWF      FSR1L, 1
	BTFSC      STATUS+0, 0
	INCF       FSR1H, 1
	CLRF       INDF1+0
;PIC16F_I2C_SlaveFunctions_170602.c,153 :: 		cI2CCurrentRegisterNumber = -1;
	MOVLW      255
	MOVWF      _cI2CCurrentRegisterNumber+0
;PIC16F_I2C_SlaveFunctions_170602.c,154 :: 		cI2CTotalMsgCount = -1;
	MOVLW      255
	MOVWF      _cI2CTotalMsgCount+0
;PIC16F_I2C_SlaveFunctions_170602.c,155 :: 		cI2CCurrentMsgCount = -1;
	MOVLW      255
	MOVWF      _cI2CCurrentMsgCount+0
;PIC16F_I2C_SlaveFunctions_170602.c,156 :: 		}
	GOTO       L_ParseI2CData17
L_ParseI2CData16:
;PIC16F_I2C_SlaveFunctions_170602.c,159 :: 		mask = mask<<(4*cI2CCurrentMsgCount);
	MOVF       _cI2CCurrentMsgCount+0, 0
	MOVWF      R0
	LSLF       R0, 1
	LSLF       R0, 1
	MOVF       R0, 0
	MOVWF      R1
	MOVF       R3+0, 0
	MOVWF      R0
	MOVF       R1, 0
L__ParseI2CData68:
	BTFSC      STATUS+0, 2
	GOTO       L__ParseI2CData69
	LSLF       R0, 1
	ADDLW      255
	GOTO       L__ParseI2CData68
L__ParseI2CData69:
	MOVF       R0, 0
	MOVWF      R3+0
;PIC16F_I2C_SlaveFunctions_170602.c,160 :: 		ucI2CRegisters[cI2CCurrentRegisterNumber] = ucI2CRegisters[cI2CCurrentRegisterNumber] | mask;
	MOVLW      _ucI2CRegisters+0
	MOVWF      R1
	MOVLW      hi_addr(_ucI2CRegisters+0)
	MOVWF      R2
	MOVF       _cI2CCurrentRegisterNumber+0, 0
	ADDWF      R1, 1
	BTFSC      STATUS+0, 0
	INCF       R2, 1
	MOVF       R1, 0
	MOVWF      FSR0L
	MOVF       R2, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	IORWF       R0, 1
	MOVF       R1, 0
	MOVWF      FSR1L
	MOVF       R2, 0
	MOVWF      FSR1H
	MOVF       R0, 0
	MOVWF      INDF1+0
;PIC16F_I2C_SlaveFunctions_170602.c,161 :: 		if (cI2CCurrentMsgCount < cI2CTotalMsgCount)
	MOVF       _cI2CTotalMsgCount+0, 0
	SUBWF      _cI2CCurrentMsgCount+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_ParseI2CData18
;PIC16F_I2C_SlaveFunctions_170602.c,163 :: 		ucI2CCurrentStatus = _I2C_STATUS_INPROGRESS;
	MOVLW      __I2C_STATUS_INPROGRESS
	MOVWF      _ucI2CCurrentStatus+0
;PIC16F_I2C_SlaveFunctions_170602.c,164 :: 		ucI2CRegistersStatus[cI2CCurrentRegisterNumber] = _I2C_STATUS_INPROGRESS;
	MOVLW      _ucI2CRegistersStatus+0
	MOVWF      FSR1L
	MOVLW      hi_addr(_ucI2CRegistersStatus+0)
	MOVWF      FSR1H
	MOVF       _cI2CCurrentRegisterNumber+0, 0
	ADDWF      FSR1L, 1
	BTFSC      STATUS+0, 0
	INCF       FSR1H, 1
	MOVLW      __I2C_STATUS_INPROGRESS
	MOVWF      INDF1+0
;PIC16F_I2C_SlaveFunctions_170602.c,165 :: 		result = 1;
	MOVLW      1
	MOVWF      ParseI2CData_result_L0+0
;PIC16F_I2C_SlaveFunctions_170602.c,166 :: 		}
	GOTO       L_ParseI2CData19
L_ParseI2CData18:
;PIC16F_I2C_SlaveFunctions_170602.c,167 :: 		else if (cI2CCurrentMsgCount == cI2CTotalMsgCount)
	MOVF       _cI2CCurrentMsgCount+0, 0
	XORWF      _cI2CTotalMsgCount+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_ParseI2CData20
;PIC16F_I2C_SlaveFunctions_170602.c,169 :: 		ucI2CCurrentStatus = _I2C_STATUS_END;
	MOVLW      __I2C_STATUS_END
	MOVWF      _ucI2CCurrentStatus+0
;PIC16F_I2C_SlaveFunctions_170602.c,170 :: 		ucI2CRegistersStatus[cI2CCurrentRegisterNumber] = _I2C_STATUS_END;
	MOVLW      _ucI2CRegistersStatus+0
	MOVWF      FSR1L
	MOVLW      hi_addr(_ucI2CRegistersStatus+0)
	MOVWF      FSR1H
	MOVF       _cI2CCurrentRegisterNumber+0, 0
	ADDWF      FSR1L, 1
	BTFSC      STATUS+0, 0
	INCF       FSR1H, 1
	MOVLW      __I2C_STATUS_END
	MOVWF      INDF1+0
;PIC16F_I2C_SlaveFunctions_170602.c,171 :: 		cI2CCurrentRegisterNumber = -1;
	MOVLW      255
	MOVWF      _cI2CCurrentRegisterNumber+0
;PIC16F_I2C_SlaveFunctions_170602.c,172 :: 		cI2CTotalMsgCount = -1;
	MOVLW      255
	MOVWF      _cI2CTotalMsgCount+0
;PIC16F_I2C_SlaveFunctions_170602.c,173 :: 		cI2CCurrentMsgCount = -1;
	MOVLW      255
	MOVWF      _cI2CCurrentMsgCount+0
;PIC16F_I2C_SlaveFunctions_170602.c,174 :: 		result = 1;
	MOVLW      1
	MOVWF      ParseI2CData_result_L0+0
;PIC16F_I2C_SlaveFunctions_170602.c,175 :: 		}
L_ParseI2CData20:
L_ParseI2CData19:
;PIC16F_I2C_SlaveFunctions_170602.c,176 :: 		}
L_ParseI2CData17:
;PIC16F_I2C_SlaveFunctions_170602.c,177 :: 		}
L_ParseI2CData13:
;PIC16F_I2C_SlaveFunctions_170602.c,178 :: 		}
L_ParseI2CData10:
;PIC16F_I2C_SlaveFunctions_170602.c,179 :: 		return result;
	MOVF       ParseI2CData_result_L0+0, 0
	MOVWF      R0
;PIC16F_I2C_SlaveFunctions_170602.c,180 :: 		}
L_end_ParseI2CData:
	RETURN
; end of _ParseI2CData

_ParseI2CInput:

;PIC16F_I2C_SlaveFunctions_170602.c,188 :: 		void ParseI2CInput(unsigned char input)
;PIC16F_I2C_SlaveFunctions_170602.c,190 :: 		if (ucI2CCurrentStatus == _I2C_STATUS_IDLE || ucI2CCurrentStatus == _I2C_STATUS_ERROR || ucI2CCurrentStatus == _I2C_STATUS_END)
	MOVF       _ucI2CCurrentStatus+0, 0
	XORLW      __I2C_STATUS_IDLE
	BTFSC      STATUS+0, 2
	GOTO       L__ParseI2CInput54
	MOVF       _ucI2CCurrentStatus+0, 0
	XORLW      __I2C_STATUS_ERROR
	BTFSC      STATUS+0, 2
	GOTO       L__ParseI2CInput54
	MOVF       _ucI2CCurrentStatus+0, 0
	XORLW      __I2C_STATUS_END
	BTFSC      STATUS+0, 2
	GOTO       L__ParseI2CInput54
	GOTO       L_ParseI2CInput23
L__ParseI2CInput54:
;PIC16F_I2C_SlaveFunctions_170602.c,192 :: 		ParseI2CHeader(input);
	MOVF       FARG_ParseI2CInput_input+0, 0
	MOVWF      FARG_ParseI2CHeader_input+0
	CALL       _ParseI2CHeader+0
;PIC16F_I2C_SlaveFunctions_170602.c,193 :: 		}
	GOTO       L_ParseI2CInput24
L_ParseI2CInput23:
;PIC16F_I2C_SlaveFunctions_170602.c,194 :: 		else if (ucI2CCurrentStatus == _I2C_STATUS_STARTED || ucI2CCurrentStatus == _I2C_STATUS_INPROGRESS)
	MOVF       _ucI2CCurrentStatus+0, 0
	XORLW      __I2C_STATUS_STARTED
	BTFSC      STATUS+0, 2
	GOTO       L__ParseI2CInput53
	MOVF       _ucI2CCurrentStatus+0, 0
	XORLW      __I2C_STATUS_INPROGRESS
	BTFSC      STATUS+0, 2
	GOTO       L__ParseI2CInput53
	GOTO       L_ParseI2CInput27
L__ParseI2CInput53:
;PIC16F_I2C_SlaveFunctions_170602.c,196 :: 		if ((cI2CCurrentRegisterNumber>=0 && cI2CCurrentRegisterNumber<_I2C_MAX_REGISTERS_COUNT)
	MOVLW      0
	SUBWF      _cI2CCurrentRegisterNumber+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_ParseI2CInput34
	MOVLW      32
	SUBWF      _cI2CCurrentRegisterNumber+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_ParseI2CInput34
;PIC16F_I2C_SlaveFunctions_170602.c,197 :: 		&&(ucI2CRegistersStatus[cI2CCurrentRegisterNumber] == _I2C_STATUS_STARTED || ucI2CRegistersStatus[cI2CCurrentRegisterNumber] == _I2C_STATUS_INPROGRESS))
L__ParseI2CInput52:
	MOVLW      _ucI2CRegistersStatus+0
	MOVWF      FSR0L
	MOVLW      hi_addr(_ucI2CRegistersStatus+0)
	MOVWF      FSR0H
	MOVF       _cI2CCurrentRegisterNumber+0, 0
	ADDWF      FSR0L, 1
	BTFSC      STATUS+0, 0
	INCF       FSR0H, 1
	MOVF       INDF0+0, 0
	XORLW      __I2C_STATUS_STARTED
	BTFSC      STATUS+0, 2
	GOTO       L__ParseI2CInput51
	MOVLW      _ucI2CRegistersStatus+0
	MOVWF      FSR0L
	MOVLW      hi_addr(_ucI2CRegistersStatus+0)
	MOVWF      FSR0H
	MOVF       _cI2CCurrentRegisterNumber+0, 0
	ADDWF      FSR0L, 1
	BTFSC      STATUS+0, 0
	INCF       FSR0H, 1
	MOVF       INDF0+0, 0
	XORLW      __I2C_STATUS_INPROGRESS
	BTFSC      STATUS+0, 2
	GOTO       L__ParseI2CInput51
	GOTO       L_ParseI2CInput34
L__ParseI2CInput51:
L__ParseI2CInput50:
;PIC16F_I2C_SlaveFunctions_170602.c,199 :: 		ParseI2CData(input);
	MOVF       FARG_ParseI2CInput_input+0, 0
	MOVWF      FARG_ParseI2CData_input+0
	CALL       _ParseI2CData+0
;PIC16F_I2C_SlaveFunctions_170602.c,200 :: 		}
	GOTO       L_ParseI2CInput35
L_ParseI2CInput34:
;PIC16F_I2C_SlaveFunctions_170602.c,203 :: 		ucI2CCurrentStatus = _I2C_STATUS_ERROR;
	MOVLW      __I2C_STATUS_ERROR
	MOVWF      _ucI2CCurrentStatus+0
;PIC16F_I2C_SlaveFunctions_170602.c,204 :: 		}
L_ParseI2CInput35:
;PIC16F_I2C_SlaveFunctions_170602.c,205 :: 		}
L_ParseI2CInput27:
L_ParseI2CInput24:
;PIC16F_I2C_SlaveFunctions_170602.c,206 :: 		if (ucI2CCurrentStatus == _I2C_STATUS_END)
	MOVF       _ucI2CCurrentStatus+0, 0
	XORLW      __I2C_STATUS_END
	BTFSS      STATUS+0, 2
	GOTO       L_ParseI2CInput36
;PIC16F_I2C_SlaveFunctions_170602.c,208 :: 		ucI2CCurrentStatus = _I2C_STATUS_IDLE;
	MOVLW      __I2C_STATUS_IDLE
	MOVWF      _ucI2CCurrentStatus+0
;PIC16F_I2C_SlaveFunctions_170602.c,209 :: 		}
L_ParseI2CInput36:
;PIC16F_I2C_SlaveFunctions_170602.c,210 :: 		}
L_end_ParseI2CInput:
	RETURN
; end of _ParseI2CInput

_ManageI2C1Bus:

;PIC16F_I2C_SlaveFunctions_170602.c,218 :: 		void ManageI2C1Bus()
;PIC16F_I2C_SlaveFunctions_170602.c,220 :: 		if (SSP1STAT.R_NOT_W == _I2C_WRITE) //The W/R bit (0) indicate a write
	CLRF       R1
	BTFSC      SSP1STAT+0, 2
	INCF       R1, 1
	MOVF       R1, 0
	XORLW      __I2C_WRITE
	BTFSS      STATUS+0, 2
	GOTO       L_ManageI2C1Bus37
;PIC16F_I2C_SlaveFunctions_170602.c,224 :: 		if (SSP1STAT.D_NOT_A == _I2C_ADDRESS) //The last received byte was an address
	CLRF       R1
	BTFSC      SSP1STAT+0, 5
	INCF       R1, 1
	MOVF       R1, 0
	XORLW      __I2C_ADDRESS
	BTFSS      STATUS+0, 2
	GOTO       L_ManageI2C1Bus38
;PIC16F_I2C_SlaveFunctions_170602.c,228 :: 		cI2CAddress = SSP1BUF;
	MOVF       SSP1BUF+0, 0
	MOVWF      _cI2CAddress+0
;PIC16F_I2C_SlaveFunctions_170602.c,229 :: 		SSP1STAT.BF = 0;                    // Reset flag Buffer-Full
	BCF        SSP1STAT+0, 0
;PIC16F_I2C_SlaveFunctions_170602.c,230 :: 		}
	GOTO       L_ManageI2C1Bus39
L_ManageI2C1Bus38:
;PIC16F_I2C_SlaveFunctions_170602.c,235 :: 		cI2CData = SSP1BUF;                    // Read data from SSPBUF
	MOVF       SSP1BUF+0, 0
	MOVWF      _cI2CData+0
;PIC16F_I2C_SlaveFunctions_170602.c,237 :: 		ParseI2CInput(cI2CData);
	MOVF       _cI2CData+0, 0
	MOVWF      FARG_ParseI2CInput_input+0
	CALL       _ParseI2CInput+0
;PIC16F_I2C_SlaveFunctions_170602.c,238 :: 		}
L_ManageI2C1Bus39:
;PIC16F_I2C_SlaveFunctions_170602.c,239 :: 		}
	GOTO       L_ManageI2C1Bus40
L_ManageI2C1Bus37:
;PIC16F_I2C_SlaveFunctions_170602.c,243 :: 		if (SSP1STAT.D_NOT_A == _I2C_ADDRESS) //The last received byte was an address
	CLRF       R1
	BTFSC      SSP1STAT+0, 5
	INCF       R1, 1
	MOVF       R1, 0
	XORLW      __I2C_ADDRESS
	BTFSS      STATUS+0, 2
	GOTO       L_ManageI2C1Bus41
;PIC16F_I2C_SlaveFunctions_170602.c,247 :: 		SSPBUF = cI2CData;                    // Write data from cI2CData to SSPBUF
	MOVF       _cI2CData+0, 0
	MOVWF      SSPBUF+0
;PIC16F_I2C_SlaveFunctions_170602.c,248 :: 		}
	GOTO       L_ManageI2C1Bus42
L_ManageI2C1Bus41:
;PIC16F_I2C_SlaveFunctions_170602.c,253 :: 		SSP1BUF = cI2CAddress;              // Respond with this chip address
	MOVF       _cI2CAddress+0, 0
	MOVWF      SSP1BUF+0
;PIC16F_I2C_SlaveFunctions_170602.c,254 :: 		}
L_ManageI2C1Bus42:
;PIC16F_I2C_SlaveFunctions_170602.c,255 :: 		}
L_ManageI2C1Bus40:
;PIC16F_I2C_SlaveFunctions_170602.c,256 :: 		SSPCON.CKP = 1;                       // Allow clock stretching
	BSF        SSPCON+0, 4
;PIC16F_I2C_SlaveFunctions_170602.c,257 :: 		PIR1.SSP1IF = 0;                       // Reset SSP-Interrupt-Flag
	BCF        PIR1+0, 3
;PIC16F_I2C_SlaveFunctions_170602.c,258 :: 		}
L_end_ManageI2C1Bus:
	RETURN
; end of _ManageI2C1Bus

_Init_I2C1_Slave:

;PIC16F_I2C_SlaveFunctions_170602.c,274 :: 		void Init_I2C1_Slave(void)
;PIC16F_I2C_SlaveFunctions_170602.c,277 :: 		for (counter = 0; counter<_I2C_MAX_REGISTERS_COUNT; counter++)
	CLRF       R1+0
L_Init_I2C1_Slave43:
	MOVLW      32
	SUBWF      R1+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_Init_I2C1_Slave44
;PIC16F_I2C_SlaveFunctions_170602.c,279 :: 		ucI2CRegisters[counter] = 0;
	MOVLW      _ucI2CRegisters+0
	MOVWF      FSR1L
	MOVLW      hi_addr(_ucI2CRegisters+0)
	MOVWF      FSR1H
	MOVF       R1+0, 0
	ADDWF      FSR1L, 1
	BTFSC      STATUS+0, 0
	INCF       FSR1H, 1
	CLRF       INDF1+0
;PIC16F_I2C_SlaveFunctions_170602.c,277 :: 		for (counter = 0; counter<_I2C_MAX_REGISTERS_COUNT; counter++)
	INCF       R1+0, 1
;PIC16F_I2C_SlaveFunctions_170602.c,280 :: 		}
	GOTO       L_Init_I2C1_Slave43
L_Init_I2C1_Slave44:
;PIC16F_I2C_SlaveFunctions_170602.c,281 :: 		cI2CCurrentRegisterNumber = -1;
	MOVLW      255
	MOVWF      _cI2CCurrentRegisterNumber+0
;PIC16F_I2C_SlaveFunctions_170602.c,282 :: 		cI2CTotalMsgCount = -1;
	MOVLW      255
	MOVWF      _cI2CTotalMsgCount+0
;PIC16F_I2C_SlaveFunctions_170602.c,283 :: 		cI2CCurrentMsgCount = -1;
	MOVLW      255
	MOVWF      _cI2CCurrentMsgCount+0
;PIC16F_I2C_SlaveFunctions_170602.c,284 :: 		ucI2CCurrentStatus = _I2C_STATUS_IDLE;
	MOVLW      __I2C_STATUS_IDLE
	MOVWF      _ucI2CCurrentStatus+0
;PIC16F_I2C_SlaveFunctions_170602.c,287 :: 		OSCCON = 0b01110001;             // Sync Oscillator Control Register
	MOVLW      113
	MOVWF      OSCCON+0
;PIC16F_I2C_SlaveFunctions_170602.c,323 :: 		TRISB.B4=1;    // SCL
	BSF        TRISB+0, 4
;PIC16F_I2C_SlaveFunctions_170602.c,324 :: 		TRISB.B1=1;    // SDA
	BSF        TRISB+0, 1
;PIC16F_I2C_SlaveFunctions_170602.c,339 :: 		SSPCON = 0b00100110;             // Sync Serial Port Control Register 1
	MOVLW      38
	MOVWF      SSPCON+0
;PIC16F_I2C_SlaveFunctions_170602.c,397 :: 		SSP1CON2 = 0b00110110;            // Sync Serial Port Control Register 2
	MOVLW      54
	MOVWF      SSP1CON2+0
;PIC16F_I2C_SlaveFunctions_170602.c,442 :: 		SSP1STAT = 0b10000000;
	MOVLW      128
	MOVWF      SSP1STAT+0
;PIC16F_I2C_SlaveFunctions_170602.c,444 :: 		cI2CAddress = _I2C_CHIP_ADDRESS;
	MOVLW      64
	MOVWF      _cI2CAddress+0
;PIC16F_I2C_SlaveFunctions_170602.c,447 :: 		SSP1ADD = cI2CAddress;
	MOVLW      64
	MOVWF      SSP1ADD+0
;PIC16F_I2C_SlaveFunctions_170602.c,451 :: 		PIE1 = PIE1 | 0b00001000;               // Peripheral Interrupt Enable Register 1 (Bank 1)
	BSF        PIE1+0, 3
;PIC16F_I2C_SlaveFunctions_170602.c,477 :: 		INTCON = INTCON | 0b11000000;        // Interrupt-Control-Register (Bank 1)
	MOVLW      192
	IORWF       INTCON+0, 1
;PIC16F_I2C_SlaveFunctions_170602.c,503 :: 		}
L_end_Init_I2C1_Slave:
	RETURN
; end of _Init_I2C1_Slave
